net.sourceforge.pmd.lang.rule.properties

## Class AbstractMultiNumericProperty<T>

- java.lang.Object
- - net.sourceforge.pmd.lang.rule.properties.AbstractProperty<T>
  - - net.sourceforge.pmd.lang.rule.properties.AbstractScalarProperty<T>
    - - net.sourceforge.pmd.lang.rule.properties.AbstractNumericProperty<T>
      - - net.sourceforge.pmd.lang.rule.properties.AbstractMultiNumericProperty<T>

- Type Parameters:
    `T` -
  All Implemented Interfaces:
    Comparable<PropertyDescriptor<?>>, NumericPropertyDescriptor<T>, PropertyDescriptor<T>
  Direct Known Subclasses:
    DoubleMultiProperty, FloatMultiProperty, IntegerMultiProperty, LongMultiProperty

      public abstract class AbstractMultiNumericProperty<T>
      extends AbstractNumericProperty<T>

  Author:
    Brian Remedios

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractNumericProperty

      `numberFieldTypesByKey`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractMultiNumericProperty(String theName, String theDescription, Number lower, Number upper, T theDefault, float theUIOrder)` Constructor for AbstractMultiNumericProperty.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `defaultAsString()`
    `boolean` | `isMultiValue()` Returns whether the property is multi-valued, i.e. an array of strings, As unary property rule properties will return a value of one, you must use the get/setProperty accessors when working with the actual values.

    - ### Methods inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractNumericProperty

      `addAttributesTo, lowerLimit, rangeString, upperLimit, valueErrorFor`

    - ### Methods inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractScalarProperty

      `arrayFor, createFrom, valueFrom`

    - ### Methods inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractProperty

      `areEqual, asDelimitedString, asDelimitedString, asString, attributeValuesById, choices, compareTo, defaultHasNullValue, defaultValue, description, equals, errorFor, hashCode, isArray, isRequired, multiValueDelimiter, name, preferredRowCount, propertyErrorFor, toString, typeErrorFor, uiOrder, valuesErrorFor`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sourceforge.pmd.PropertyDescriptor

      `asDelimitedString, attributeValuesById, choices, defaultValue, description, errorFor, isRequired, multiValueDelimiter, name, preferredRowCount, propertyErrorFor, type, uiOrder, valueFrom`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Constructor Detail

    - #### AbstractMultiNumericProperty

          protected AbstractMultiNumericProperty(String theName,
                                      String theDescription,
                                      Number lower,
                                      Number upper,
                                      T theDefault,
                                      float theUIOrder)

      Constructor for AbstractMultiNumericProperty.
      Parameters:
        `theName` - String
        `theDescription` - String
        `lower` - Number
        `upper` - Number
        `theDefault` - T
        `theUIOrder` - float

  - ### Method Detail

    - #### isMultiValue

          public boolean isMultiValue()

      Description copied from class: `AbstractProperty`
      Returns whether the property is multi-valued, i.e. an array of strings, As unary property rule properties will return a value of one, you must use the get/setProperty accessors when working with the actual values. When working with multi-value properties then the get/setProperties accessors must be used.
      Specified by:
        `isMultiValue` in interface `PropertyDescriptor<T>`
      Overrides:
        `isMultiValue` in class `AbstractProperty<T>`
      Returns:
        boolean
      See Also:
        `PropertyDescriptor.isMultiValue()`

    - #### defaultAsString

          protected String defaultAsString()

      Overrides:
        `defaultAsString` in class `AbstractNumericProperty<T>`
      Returns:
        String

Copyright © 2002-2013 InfoEther. All Rights Reserved.